#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1423\r"; sleep 2;
echo -e "write (0,1) -1302\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1367\r"; sleep 2;
echo -e "write (0,4) -1403\r"; sleep 2;
echo -e "write (0,5) -1548\r"; sleep 2;
echo -e "write (0,6) -1643\r"; sleep 2;
echo -e "write (0,9) -1643\r"; sleep 2;
echo -e "write (0,10) -1465\r"; sleep 2;
echo -e "write (0,11) -1318\r"; sleep 2;
echo -e "write (0,12) -1446\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1465\r"; sleep 2;
echo -e "write (1,0) -1434\r"; sleep 2;
echo -e "write (1,1) -1427\r"; sleep 2;
echo -e "write (1,2) -1601\r"; sleep 2;
echo -e "write (1,3) -1600\r"; sleep 2;
echo -e "write (1,4) -1528\r"; sleep 2;
echo -e "write (1,5) -1361\r"; sleep 2;
echo -e "write (1,6) -1488\r"; sleep 2;
echo -e "write (1,9) -1421\r"; sleep 2;
echo -e "write (1,10) -1423\r"; sleep 2;
echo -e "write (1,11) -1251\r"; sleep 2;
echo -e "write (1,12) -1522\r"; sleep 2;
echo -e "write (1,13) -1308\r"; sleep 2;
echo -e "write (1,14) -1549\r"; sleep 2;
echo -e "write (2,0) -1485\r"; sleep 2;
echo -e "write (2,1) -1464\r"; sleep 2;
echo -e "write (2,2) -1439\r"; sleep 2;
echo -e "write (2,3) -1636\r"; sleep 2;
echo -e "write (2,4) -1572\r"; sleep 2;
echo -e "write (2,5) -1501\r"; sleep 2;
echo -e "write (2,6) -1410\r"; sleep 2;
echo -e "write (2,9) -1604\r"; sleep 2;
echo -e "write (2,10) -1572\r"; sleep 2;
echo -e "write (2,11) -1296\r"; sleep 2;
echo -e "write (2,12) -1490\r"; sleep 2;
echo -e "write (2,14) -1661\r"; sleep 2;
echo -e "write (3,0) -1600\r"; sleep 2;
echo -e "write (3,1) -1303\r"; sleep 2;
echo -e "write (3,2) -1233\r"; sleep 2;
echo -e "write (3,3) -1610\r"; sleep 2;
echo -e "write (3,4) -1428\r"; sleep 2;
echo -e "write (3,5) -1402\r"; sleep 2;
echo -e "write (3,6) -1289\r"; sleep 2;
echo -e "write (3,9) -1393\r"; sleep 2;
echo -e "write (3,10) -1587\r"; sleep 2;
echo -e "write (3,11) -1460\r"; sleep 2;
echo -e "write (3,12) -1553\r"; sleep 2;
echo -e "write (3,13) -1312\r"; sleep 2;
echo -e "write (3,14) -1420\r"; sleep 2;
echo -e "write (4,0) -1634\r"; sleep 2;
echo -e "write (4,1) -1397\r"; sleep 2;
echo -e "write (4,2) -1513\r"; sleep 2;
echo -e "write (4,3) -1594\r"; sleep 2;
echo -e "write (4,4) -1555\r"; sleep 2;
echo -e "write (4,5) -1331\r"; sleep 2;
echo -e "write (4,6) -1335\r"; sleep 2;
echo -e "write (4,9) -1600\r"; sleep 2;
echo -e "write (4,10) -1612\r"; sleep 2;
echo -e "write (4,11) -1390\r"; sleep 2;
echo -e "write (4,12) -1584\r"; sleep 2;
echo -e "write (4,13) -1424\r"; sleep 2;
echo -e "write (4,14) -1359\r"; sleep 2;
echo -e "write (5,0) -1477\r"; sleep 2;
echo -e "write (5,1) -1273\r"; sleep 2;
echo -e "write (5,2) -1438\r"; sleep 2;
echo -e "write (5,3) -1379\r"; sleep 2;
echo -e "write (5,4) -1546\r"; sleep 2;
echo -e "write (5,5) -1365\r"; sleep 2;
echo -e "write (5,6) -1480\r"; sleep 2;
echo -e "write (5,9) -1293\r"; sleep 2;
echo -e "write (5,10) -1679\r"; sleep 2;
echo -e "write (5,11) -1405\r"; sleep 2;
echo -e "write (5,12) -1442\r"; sleep 2;
echo -e "write (5,13) -1666\r"; sleep 2;
echo -e "write (5,14) -1529\r"; sleep 2;
echo -e "write (6,0) -1534\r"; sleep 2;
echo -e "write (6,1) -1641\r"; sleep 2;
echo -e "write (6,2) -1379\r"; sleep 2;
echo -e "write (6,3) -1415\r"; sleep 2;
echo -e "write (6,4) -1324\r"; sleep 2;
echo -e "write (6,5) -1235\r"; sleep 2;
echo -e "write (6,6) -1476\r"; sleep 2;
echo -e "write (6,9) -1546\r"; sleep 2;
echo -e "write (6,10) -1572\r"; sleep 2;
echo -e "write (6,11) -1474\r"; sleep 2;
echo -e "write (6,12) -1358\r"; sleep 2;
echo -e "write (6,13) -1501\r"; sleep 2;
echo -e "write (6,14) -1330\r"; sleep 2;
echo -e "write (7,0) -1317\r"; sleep 2;
echo -e "write (7,1) -1402\r"; sleep 2;
echo -e "write (7,2) -1116\r"; sleep 2;
echo -e "write (7,3) -1493\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1518\r"; sleep 2;
echo -e "write (7,6) -1617\r"; sleep 2;
echo -e "write (7,9) -1425\r"; sleep 2;
echo -e "write (7,10) -1436\r"; sleep 2;
echo -e "write (7,11) -1503\r"; sleep 2;
echo -e "write (7,12) -1204\r"; sleep 2;
echo -e "write (7,13) -1318\r"; sleep 2;
echo -e "write (7,14) -1469\r"; sleep 2;
echo -e "write (8,0) -1142\r"; sleep 2;
echo -e "write (8,1) -1437\r"; sleep 2;
echo -e "write (8,2) -1189\r"; sleep 2;
echo -e "write (8,3) -1366\r"; sleep 2;
echo -e "write (8,4) -1342\r"; sleep 2;
echo -e "write (8,5) -1471\r"; sleep 2;
echo -e "write (8,6) -1547\r"; sleep 2;
echo -e "write (8,9) -1473\r"; sleep 2;
echo -e "write (8,10) -1440\r"; sleep 2;
echo -e "write (8,11) -1600\r"; sleep 2;
echo -e "write (8,12) -1600\r"; sleep 2;
echo -e "write (8,13) -1270\r"; sleep 2;
echo -e "write (8,14) -1600\r"; sleep 2;
echo -e "write (9,0) -1192\r"; sleep 2;
echo -e "write (9,1) -1244\r"; sleep 2;
echo -e "write (9,2) -1175\r"; sleep 2;
echo -e "write (9,3) -1264\r"; sleep 2;
echo -e "write (9,4) -1146\r"; sleep 2;
echo -e "write (9,5) -1451\r"; sleep 2;
echo -e "write (9,6) -1315\r"; sleep 2;
echo -e "write (9,9) -1466\r"; sleep 2;
echo -e "write (9,10) -1132\r"; sleep 2;
echo -e "write (9,11) -1614\r"; sleep 2;
echo -e "write (9,12) -1528\r"; sleep 2;
echo -e "write (9,13) -1322\r"; sleep 2;
echo -e "write (9,14) -1422\r"; sleep 2;
echo -e "write (10,0) -1254\r"; sleep 2;
echo -e "write (10,1) -1377\r"; sleep 2;
echo -e "write (10,2) -1600\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1516\r"; sleep 2;
echo -e "write (10,5) -1529\r"; sleep 2;
echo -e "write (10,6) -1352\r"; sleep 2;
echo -e "write (10,9) -1602\r"; sleep 2;
echo -e "write (10,10) -1617\r"; sleep 2;
echo -e "write (10,11) -1457\r"; sleep 2;
echo -e "write (10,12) -1340\r"; sleep 2;
echo -e "write (10,13) -1571\r"; sleep 2;
echo -e "write (10,14) -1453\r"; sleep 2;
echo -e "write (11,0) -1387\r"; sleep 2;
echo -e "write (11,1) -1270\r"; sleep 2;
echo -e "write (11,2) -1461\r"; sleep 2;
echo -e "write (11,3) -1400\r"; sleep 2;
echo -e "write (11,4) -1064\r"; sleep 2;
echo -e "write (11,5) -1454\r"; sleep 2;
echo -e "write (11,6) -1414\r"; sleep 2;
echo -e "write (11,9) -1584\r"; sleep 2;
echo -e "write (11,10) -1314\r"; sleep 2;
echo -e "write (11,11) -1305\r"; sleep 2;
echo -e "write (11,12) -1297\r"; sleep 2;
echo -e "write (11,13) -1384\r"; sleep 2;
echo -e "write (11,14) -1277\r"; sleep 2;
echo -e "write (12,0) -1255\r"; sleep 2;
echo -e "write (12,1) -1261\r"; sleep 2;
echo -e "write (12,2) -1374\r"; sleep 2;
echo -e "write (12,3) -1302\r"; sleep 2;
echo -e "write (12,4) -1421\r"; sleep 2;
echo -e "write (12,5) -1344\r"; sleep 2;
echo -e "write (12,6) -1263\r"; sleep 2;
echo -e "write (12,9) -1337\r"; sleep 2;
echo -e "write (12,10) -1274\r"; sleep 2;
echo -e "write (12,11) -1174\r"; sleep 2;
echo -e "write (12,12) -1480\r"; sleep 2;
echo -e "write (12,13) -1666\r"; sleep 2;
echo -e "write (12,14) -1361\r"; sleep 2;
echo -e "write (13,0) -1459\r"; sleep 2;
echo -e "write (13,1) -1572\r"; sleep 2;
echo -e "write (13,2) -1516\r"; sleep 2;
echo -e "write (13,3) -1450\r"; sleep 2;
echo -e "write (13,4) -1600\r"; sleep 2;
echo -e "write (13,5) -1550\r"; sleep 2;
echo -e "write (13,6) -1444\r"; sleep 2;
echo -e "write (13,9) -1427\r"; sleep 2;
echo -e "write (13,10) -1506\r"; sleep 2;
echo -e "write (13,11) -1544\r"; sleep 2;
echo -e "write (13,12) -1514\r"; sleep 2;
echo -e "write (13,13) -1617\r"; sleep 2;
echo -e "write (13,14) -1554\r"; sleep 2;
echo -e "write (14,0) -1402\r"; sleep 2;
echo -e "write (14,1) -1344\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1521\r"; sleep 2;
echo -e "write (14,4) -1424\r"; sleep 2;
echo -e "write (14,5) -1344\r"; sleep 2;
echo -e "write (14,6) -1265\r"; sleep 2;
echo -e "write (14,9) -1344\r"; sleep 2;
echo -e "write (14,10) -1203\r"; sleep 2;
echo -e "write (14,11) -1274\r"; sleep 2;
echo -e "write (14,12) -1428\r"; sleep 2;
echo -e "write (14,13) -1453\r"; sleep 2;
echo -e "write (14,14) -1214\r"; sleep 2;
echo -e "write (15,0) -1381\r"; sleep 2;
echo -e "write (15,1) -1275\r"; sleep 2;
echo -e "write (15,2) -1120\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
